Bug 816719 - driver 'ne2k-pci' does not support carrier detection
driver 'ne2k-pci' does not support carrier detection
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: NetworkManager (Show other bugs)
17
i686 Linux
unspecified Severity medium
: ---
: ---
Assigned To: Dan Williams
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-04-26 15:16 EDT by Andy Pengelly
Modified: 2013-08-01 16:05 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-08-01 16:05:37 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Ensure carrier is always on for devices incapable of carrier detection (1.89 KB, patch)
2012-04-26 16:26 EDT, Dan Williams
no flags Details | Diff

  None (edit)
Description Andy Pengelly 2012-04-26 15:16:26 EDT
Description of problem:
NetworkManager does not bring up wired connection 1 as ne2k-pci does not support carrier detection.

Version-Release number of selected component (if applicable):
NetworkManager-0.9.4-2.git20120403.fc16.i686
No problem with previous version.

How reproducible:
Boot the computer and NetworkManager fails to start networking

Steps to Reproduce:
1.
2.
3.
  
Actual results:
Apr 26 16:22:45 trinity NetworkManager[838]: <info> Networking is enabled by state file
Apr 26 16:22:45 trinity NetworkManager[838]: <warn> failed to allocate link cache: (-12) Netlink Error (errno = Operation not supported)
Apr 26 16:22:45 trinity NetworkManager[838]: <info> (p5p1): driver 'ne2k-pci' does not support carrier detection.
Apr 26 16:22:45 trinity NetworkManager[838]: <info> (p5p1): new Ethernet device (driver: 'ne2k-pci' ifindex: 2)
Apr 26 16:22:45 trinity NetworkManager[838]: <info> (p5p1): exported as /org/freedesktop/NetworkManager/Devices/0
Apr 26 16:22:45 trinity NetworkManager[838]: <info> (p5p1): now managed
Apr 26 16:22:45 trinity NetworkManager[838]: <info> (p5p1): device state change: unmanaged -> unavailable (reason 'managed') [10 20 2]
Apr 26 16:22:45 trinity NetworkManager[838]: <info> (p5p1): bringing up device.
Apr 26 16:22:45 trinity NetworkManager[838]: nm_netlink_monitor_get_flags_sync: assertion `self != NULL' failed
Apr 26 16:22:45 trinity NetworkManager[838]: <warn> (p5p1): couldn't get carrier state: (-1) unknown
Apr 26 16:22:45 trinity NetworkManager[838]: <info> (p5p1): carrier now OFF (device state 20, deferring action for 4 seconds)
Apr 26 16:22:45 trinity NetworkManager[838]: <info> (p5p1): preparing device.
Apr 26 16:22:45 trinity NetworkManager[838]: <info> (p5p1): deactivating device (reason 'managed') [2]
Apr 26 16:22:45 trinity NetworkManager[838]: <warn> bluez error getting default adapter: Unit dbus-org.bluez.service failed to load: No such file or directory. See system logs and 'systemctl status dbus-org.bluez.service' for details.
Apr 26 16:22:45 trinity NetworkManager[838]: <info> modem-manager is now available


Expected results:
Apr 22 13:09:18 trinity NetworkManager[830]: NetworkManager[830]: <info> Networking is enabled by state file
Apr 22 13:09:18 trinity NetworkManager[830]: NetworkManager[830]: <info> (p5p1): driver 'ne2k-pci' does not support carrier detection.
Apr 22 13:09:18 trinity NetworkManager[830]: <info> (p5p1): driver 'ne2k-pci' does not support carrier detection.
Apr 22 13:09:18 trinity NetworkManager[830]: NetworkManager[830]: <info> (p5p1): new Ethernet device (driver: 'ne2k-pci' ifindex: 2)
Apr 22 13:09:18 trinity NetworkManager[830]: <info> (p5p1): new Ethernet device (driver: 'ne2k-pci' ifindex: 2)
Apr 22 13:09:18 trinity NetworkManager[830]: NetworkManager[830]: <info> (p5p1): exported as /org/freedesktop/NetworkManager/Devices/0
Apr 22 13:09:18 trinity NetworkManager[830]: <info> (p5p1): exported as /org/freedesktop/NetworkManager/Devices/0
Apr 22 13:09:18 trinity NetworkManager[830]: NetworkManager[830]: <info> (p5p1): now managed
Apr 22 13:09:18 trinity NetworkManager[830]: <info> (p5p1): now managed
Apr 22 13:09:18 trinity NetworkManager[830]: NetworkManager[830]: <info> (p5p1): device state change: unmanaged -> unavailable (reason 'managed') [10 20 2]
Apr 22 13:09:18 trinity NetworkManager[830]: <info> (p5p1): device state change: unmanaged -> unavailable (reason 'managed') [10 20 2]
Apr 22 13:09:18 trinity NetworkManager[830]: <info> (p5p1): bringing up device.
Apr 22 13:09:18 trinity NetworkManager[830]: NetworkManager[830]: <info> (p5p1): bringing up device.
Apr 22 13:09:18 trinity NetworkManager[830]: <info> (p5p1): preparing device.
Apr 22 13:09:18 trinity NetworkManager[830]: NetworkManager[830]: <info> (p5p1): preparing device.
Apr 22 13:09:18 trinity NetworkManager[830]: <info> (p5p1): deactivating device (reason 'managed') [2]
Apr 22 13:09:18 trinity NetworkManager[830]: NetworkManager[830]: <info> (p5p1): deactivating device (reason 'managed') [2]
Apr 22 13:09:18 trinity NetworkManager[830]: <info> Added default wired connection 'Wired connection 1' for /sys/devices/pci0000:00/0000:00:10.0/0000:02:08.0/net/p5p1
Apr 22 13:09:18 trinity NetworkManager[830]: NetworkManager[830]: <info> Added default wired connection 'Wired connection 1' for /sys/devices/pci0000:00/0000:00:10.0/0000:02:08.0/net/p5p1
Apr 22 13:09:18 trinity NetworkManager[830]: NetworkManager[830]: <warn> bluez error getting default adapter: Unit dbus-org.bluez.service failed to load: No such file or directory. See system logs and 'systemctl status dbus-org.bluez.service' for details.
Apr 22 13:09:18 trinity NetworkManager[830]: <warn> bluez error getting default adapter: Unit dbus-org.bluez.service failed to load: No such file or directory. See system logs and 'systemctl status dbus-org.bluez.service' for details.
Apr 22 13:09:18 trinity NetworkManager[830]: NetworkManager[830]: <info> (p5p1): device state change: unavailable -> disconnected (reason 'none') [20 30 0]
Apr 22 13:09:18 trinity NetworkManager[830]: <info> (p5p1): device state change: unavailable -> disconnected (reason 'none') [20 30 0]
Apr 22 13:09:18 trinity NetworkManager[830]: NetworkManager[830]: <info> Auto-activating connection 'Wired connection 1'.
Apr 22 13:09:18 trinity NetworkManager[830]: <info> Auto-activating connection 'Wired connection 1'.
Apr 22 13:09:18 trinity NetworkManager[830]: NetworkManager[830]: <info> Activation (p5p1) starting connection 'Wired connection 1'
Apr 22 13:09:18 trinity NetworkManager[830]: <info> Activation (p5p1) starting connection 'Wired connection 1'
Apr 22 13:09:18 trinity NetworkManager[830]: NetworkManager[830]: <info> (p5p1): device state change: disconnected -> prepare (reason 'none') [30 40 0]
Apr 22 13:09:18 trinity NetworkManager[830]: <info> (p5p1): device state change: disconnected -> prepare (reason 'none') [30 40 0]
Apr 22 13:09:18 trinity NetworkManager[830]: NetworkManager[830]: <info> Activation (p5p1) Stage 1 of 5 (Device Prepare) scheduled...
Apr 22 13:09:18 trinity NetworkManager[830]: <info> Activation (p5p1) Stage 1 of 5 (Device Prepare) scheduled...
Apr 22 13:09:18 trinity NetworkManager[830]: NetworkManager[830]: <info> Activation (p5p1) Stage 1 of 5 (Device Prepare) started...
Apr 22 13:09:18 trinity NetworkManager[830]: <info> Activation (p5p1) Stage 1 of 5 (Device Prepare) started...
Apr 22 13:09:18 trinity NetworkManager[830]: NetworkManager[830]: <info> Activation (p5p1) Stage 2 of 5 (Device Configure) scheduled...
Apr 22 13:09:18 trinity NetworkManager[830]: <info> Activation (p5p1) Stage 2 of 5 (Device Configure) scheduled...
Apr 22 13:09:18 trinity NetworkManager[830]: NetworkManager[830]: <info> Activation (p5p1) Stage 1 of 5 (Device Prepare) complete.
Apr 22 13:09:18 trinity NetworkManager[830]: <info> Activation (p5p1) Stage 1 of 5 (Device Prepare) complete.
Apr 22 13:09:18 trinity NetworkManager[830]: NetworkManager[830]: <info> Activation (p5p1) Stage 2 of 5 (Device Configure) starting...
Apr 22 13:09:18 trinity NetworkManager[830]: <info> Activation (p5p1) Stage 2 of 5 (Device Configure) starting...
Apr 22 13:09:18 trinity NetworkManager[830]: NetworkManager[830]: <info> (p5p1): device state change: prepare -> config (reason 'none') [40 50 0]
Apr 22 13:09:18 trinity NetworkManager[830]: <info> (p5p1): device state change: prepare -> config (reason 'none') [40 50 0]
Apr 22 13:09:18 trinity NetworkManager[830]: NetworkManager[830]: <info> Activation (p5p1) Stage 2 of 5 (Device Configure) successful.
Apr 22 13:09:18 trinity NetworkManager[830]: <info> Activation (p5p1) Stage 2 of 5 (Device Configure) successful.
Apr 22 13:09:18 trinity NetworkManager[830]: NetworkManager[830]: <info> Activation (p5p1) Stage 3 of 5 (IP Configure Start) scheduled.
Apr 22 13:09:18 trinity NetworkManager[830]: <info> Activation (p5p1) Stage 3 of 5 (IP Configure Start) scheduled.
Apr 22 13:09:18 trinity NetworkManager[830]: NetworkManager[830]: <info> Activation (p5p1) Stage 2 of 5 (Device Configure) complete.
Apr 22 13:09:18 trinity NetworkManager[830]: <info> Activation (p5p1) Stage 2 of 5 (Device Configure) complete.
Apr 22 13:09:18 trinity NetworkManager[830]: NetworkManager[830]: <info> Activation (p5p1) Stage 3 of 5 (IP Configure Start) started...
Apr 22 13:09:18 trinity NetworkManager[830]: <info> Activation (p5p1) Stage 3 of 5 (IP Configure Start) started...
Apr 22 13:09:18 trinity NetworkManager[830]: NetworkManager[830]: <info> (p5p1): device state change: config -> ip-config (reason 'none') [50 70 0]
Apr 22 13:09:18 trinity NetworkManager[830]: <info> (p5p1): device state change: config -> ip-config (reason 'none') [50 70 0]
Apr 22 13:09:18 trinity NetworkManager[830]: NetworkManager[830]: <info> Activation (p5p1) Beginning DHCPv4 transaction (timeout in 45 seconds)
Apr 22 13:09:18 trinity NetworkManager[830]: <info> Activation (p5p1) Beginning DHCPv4 transaction (timeout in 45 seconds)
Apr 22 13:09:18 trinity NetworkManager[830]: NetworkManager[830]: <info> dhclient started with pid 954
Apr 22 13:09:18 trinity NetworkManager[830]: <info> dhclient started with pid 954
Apr 22 13:09:18 trinity NetworkManager[830]: NetworkManager[830]: <info> Activation (p5p1) Stage 3 of 5 (IP Configure Start) complete.
Apr 22 13:09:18 trinity NetworkManager[830]: <info> Activation (p5p1) Stage 3 of 5 (IP Configure Start) complete.
Apr 22 13:09:18 trinity NetworkManager[830]: NetworkManager[830]: <info> modem-manager is now available
Apr 22 13:09:18 trinity NetworkManager[830]: <info> modem-manager is now available
Apr 22 13:09:18 trinity NetworkManager[830]: Internet Systems Consortium DHCP Client 4.2.3-P2
Apr 22 13:09:18 trinity NetworkManager[830]: Copyright 2004-2012 Internet Systems Consortium.
Apr 22 13:09:18 trinity NetworkManager[830]: All rights reserved.
Apr 22 13:09:18 trinity NetworkManager[830]: For info, please visit https://www.isc.org/software/dhcp/
Apr 22 13:09:18 trinity NetworkManager[830]: NetworkManager[830]: <info> (p5p1): DHCPv4 state changed nbi -> preinit
Apr 22 13:09:18 trinity NetworkManager[830]: Listening on LPF/p5p1/00:c0:26:89:20:be
Apr 22 13:09:18 trinity NetworkManager[830]: Sending on   LPF/p5p1/00:c0:26:89:20:be
Apr 22 13:09:18 trinity NetworkManager[830]: Sending on   Socket/fallback
Apr 22 13:09:18 trinity NetworkManager[830]: DHCPDISCOVER on p5p1 to 255.255.255.255 port 67 interval 7
Apr 22 13:09:18 trinity NetworkManager[830]: <info> (p5p1): DHCPv4 state changed nbi -> preinit
Apr 22 13:09:18 trinity NetworkManager[830]: DHCPREQUEST on p5p1 to 255.255.255.255 port 67
Apr 22 13:09:18 trinity NetworkManager[830]: DHCPOFFER from 192.168.0.1
Apr 22 13:09:18 trinity NetworkManager[830]: DHCPACK from 192.168.0.1
Apr 22 13:09:18 trinity NetworkManager[830]: bound to 192.168.0.4 -- renewal in 36675 seconds.
Apr 22 13:09:18 trinity NetworkManager[830]: <info> (p5p1): DHCPv4 state changed preinit -> bound
Apr 22 13:09:18 trinity NetworkManager[830]: <info> Activation (p5p1) Stage 4 of 5 (IP4 Configure Get) scheduled...
Apr 22 13:09:18 trinity NetworkManager[830]: <info> Activation (p5p1) Stage 4 of 5 (IP4 Configure Get) started...
Apr 22 13:09:18 trinity NetworkManager[830]: <info>   address 192.168.0.4
Apr 22 13:09:18 trinity NetworkManager[830]: <info>   prefix 24 (255.255.255.0)
Apr 22 13:09:18 trinity NetworkManager[830]: <info>   gateway 192.168.0.1
Apr 22 13:09:18 trinity NetworkManager[830]: <info>   nameserver '192.168.0.1'
Apr 22 13:09:18 trinity NetworkManager[830]: <info> Activation (p5p1) Stage 5 of 5 (IP Configure Commit) scheduled...
Apr 22 13:09:18 trinity NetworkManager[830]: <info> Activation (p5p1) Stage 4 of 5 (IP4 Configure Get) complete.
Apr 22 13:09:18 trinity NetworkManager[830]: NetworkManager[830]: <info> (p5p1): DHCPv4 state changed preinit -> bound
Apr 22 13:09:18 trinity NetworkManager[830]: NetworkManager[830]: <info> Activation (p5p1) Stage 4 of 5 (IP4 Configure Get) scheduled...
Apr 22 13:09:18 trinity NetworkManager[830]: NetworkManager[830]: <info> Activation (p5p1) Stage 4 of 5 (IP4 Configure Get) started...
Apr 22 13:09:18 trinity NetworkManager[830]: NetworkManager[830]: <info>   address 192.168.0.4
Apr 22 13:09:18 trinity NetworkManager[830]: NetworkManager[830]: <info>   prefix 24 (255.255.255.0)
Apr 22 13:09:18 trinity NetworkManager[830]: NetworkManager[830]: <info>   gateway 192.168.0.1
Apr 22 13:09:18 trinity NetworkManager[830]: NetworkManager[830]: <info>   nameserver '192.168.0.1'
Apr 22 13:09:18 trinity NetworkManager[830]: NetworkManager[830]: <info> Activation (p5p1) Stage 5 of 5 (IP Configure Commit) scheduled...
Apr 22 13:09:18 trinity NetworkManager[830]: NetworkManager[830]: <info> Activation (p5p1) Stage 4 of 5 (IP4 Configure Get) complete.
Apr 22 13:09:18 trinity NetworkManager[830]: NetworkManager[830]: <info> Activation (p5p1) Stage 5 of 5 (IP Configure Commit) started...
Apr 22 13:09:18 trinity NetworkManager[830]: <info> Activation (p5p1) Stage 5 of 5 (IP Configure Commit) started...
Apr 22 13:09:19 trinity NetworkManager[830]: NetworkManager[830]: <info> (p5p1): device state change: ip-config -> activated (reason 'none') [70 100 0]
Apr 22 13:09:19 trinity NetworkManager[830]: <info> (p5p1): device state change: ip-config -> activated (reason 'none') [70 100 0]
Apr 22 13:09:19 trinity NetworkManager[830]: <info> Policy set 'Wired connection 1' (p5p1) as default for IPv4 routing and DNS.
Apr 22 13:09:19 trinity NetworkManager[830]: <info> Activation (p5p1) successful, device activated.
Apr 22 13:09:19 trinity NetworkManager[830]: NetworkManager[830]: <info> Policy set 'Wired connection 1' (p5p1) as default for IPv4 routing and DNS.
Apr 22 13:09:19 trinity NetworkManager[830]: NetworkManager[830]: <info> Activation (p5p1) successful, device activated.
Apr 22 13:09:19 trinity NetworkManager[830]: <info> Activation (p5p1) Stage 5 of 5 (IP Configure Commit) complete.
Apr 22 13:09:19 trinity NetworkManager[830]: NetworkManager[830]: <info> Activation (p5p1) Stage 5 of 5 (IP Configure Commit) complete.


Additional info:
Temporary fix:
kill <pid_of_NetworkManager>
dhclient p5p1
Comment 1 Dan Williams 2012-04-26 16:26:42 EDT
Created attachment 580559 [details]
Ensure carrier is always on for devices incapable of carrier detection
Comment 2 Dan Williams 2012-04-26 16:27:21 EDT
danw/jklimes: does this look OK?
Comment 3 Dan Winship 2012-04-26 17:16:21 EDT
Comment on attachment 580559 [details]
Ensure carrier is always on for devices incapable of carrier detection

looks sane

>+		if (caps & NM_DEVICE_CAP_CARRIER_DETECT)
>+			carrier = get_carrier_sync (NM_DEVICE_WIRED (dev));
>+		else {
>+			/* Carrier is always on for devices incapable of carrier detect */
>+			carrier = TRUE;
>+		}
>+
> 		set_carrier (NM_DEVICE_WIRED (dev), carrier, carrier ? FALSE : TRUE);

it looks like there's no way for priv->carrier to ever end up FALSE on a non-CAP_CARRIER_DETECT device now, so you could just move the set_carrier call inside the if body, and remove the else clause
Comment 4 Dan Williams 2012-04-28 12:49:22 EDT
Fixed upstream as a091c7aa0f15ca2eb7a0c3d3e99405aa98855965
Comment 5 Fedora Update System 2012-05-02 09:20:24 EDT
NetworkManager-0.9.4.0-8.git20120502.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/NetworkManager-0.9.4.0-8.git20120502.fc17
Comment 6 Fedora Update System 2012-05-02 16:31:51 EDT
Package NetworkManager-0.9.4.0-8.git20120502.fc17:
* should fix your issue,
* was pushed to the Fedora 17 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing NetworkManager-0.9.4.0-8.git20120502.fc17'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2012-7066/NetworkManager-0.9.4.0-8.git20120502.fc17
then log in and leave karma (feedback).
Comment 7 Fedora End Of Life 2013-01-16 21:05:21 EST
This message is a reminder that Fedora 16 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 16. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '16'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 16's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 16 is end of life. If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora, you are encouraged to click on 
"Clone This Bug" and open it against that version of Fedora.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 8 Andy Pengelly 2013-01-17 03:45:01 EST
This problem is still present in F17, NetworkManager-0.9.6.4-3.fc17.i686
The log now reads:

Mar 10 00:19:24 trinity NetworkManager[597]: <info> Networking is enabled by state file
Mar 10 00:19:24 trinity NetworkManager[597]: <warn> failed to allocate link cache: (-10) Operation not supported
Mar 10 00:19:24 trinity NetworkManager[597]: <info> (p5p1): driver 'ne2k-pci' does not support carrier detection.
Mar 10 00:19:24 trinity NetworkManager[597]: <info> (p5p1): new Ethernet device (driver: 'ne2k-pci' ifindex: 2)
Mar 10 00:19:24 trinity NetworkManager[597]: <info> (p5p1): exported as /org/freedesktop/NetworkManager/Devices/0
Mar 10 00:19:24 trinity NetworkManager[597]: <info> (p5p1): now managed
Mar 10 00:19:24 trinity NetworkManager[597]: <info> (p5p1): device state change: unmanaged -> unavailable (reason 'managed') [10 20 2]
Mar 10 00:19:24 trinity NetworkManager[597]: <info> (p5p1): bringing up device.
Mar 10 00:19:24 trinity NetworkManager[597]: <info> (p5p1): preparing device.
Mar 10 00:19:24 trinity NetworkManager[597]: <info> (p5p1): deactivating device (reason 'managed') [2]
Mar 10 00:19:24 trinity NetworkManager[597]: <warn> /sys/devices/virtual/net/lo: couldn't determine device driver; ignoring...
Mar 10 00:19:24 trinity NetworkManager[597]: <warn> /sys/devices/virtual/net/lo: couldn't determine device driver; ignoring...
Mar 10 00:19:24 trinity NetworkManager[597]: <info> (p5p1): device state change: unavailable -> disconnected (reason 'none') [20 30 0]
Mar 10 00:19:24 trinity dbus[676]: [system] Successfully activated service 'org.freedesktop.ModemManager'
Mar 10 00:19:24 trinity NetworkManager[597]: <info> modem-manager is now available

The interface can be brought up with:

sudo ifup p5p1
Comment 9 Fedora End Of Life 2013-07-04 03:42:27 EDT
This message is a reminder that Fedora 17 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 17. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '17'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 17's end of life.

Bug Reporter:  Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 17 is end of life. If you 
would still like  to see this bug fixed and are able to reproduce it 
against a later version  of Fedora, you are encouraged  change the 
'version' to a later Fedora version prior to Fedora 17's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 10 Fedora End Of Life 2013-08-01 16:05:41 EDT
Fedora 17 changed to end-of-life (EOL) status on 2013-07-30. Fedora 17 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.